Skip to content

Cancel Subscription

POST
/v1/subscriptions/{subscription_id}/cancel

Cancel a subscription. This cancels any of the subscription's orders that are currently scheduled, paused, or payment_failed; no further orders will be placed.

Authorization

X-API-Key
X-API-Key<token>

Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.

In: header

Path Parameters

subscription_id*Subscription ID

The unique ID for the subscription.

Header Parameters

X-Publishable-Key*string

The publicly viewable identifier used to identify a merchant division. This key is found in the Developer > API section of the Bolt Merchant Dashboard.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/subscriptions/sub_1a2b3c4d5e/cancel" \  -H "X-Publishable-Key: string"
{  "success": true}